Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Xabsl2BooleanInputSymbolRef Class Reference

Represents an 'boolean-input-symbol-ref' element of the option graph. More...

`#include <Xabsl2BooleanExpression.h>`

Inheritance diagram for Xabsl2BooleanInputSymbolRef:

[legend]
Collaboration diagram for Xabsl2BooleanInputSymbolRef:

[legend]
List of all members.

## Public Member Functions
| Xabsl2BooleanInputSymbolRef (Xabsl2InputSource &input, Xabsl2ErrorHandler &errorHandler, Xabsl2Symbols &symbols)
| Constructor.
virtual bool | getValue ()
| Evaluates the boolean expression.
## Private Attributes
Xabsl2BooleanInputSymbol * | symbol
| The referenced symbol.

## Detailed Description

Represents an 'boolean-input-symbol-ref' element of the option graph.

Author:
  Martin Lötzsch

Definition at line 166 of file Xabsl2BooleanExpression.h.

## Constructor & Destructor Documentation

Xabsl2BooleanInputSymbolRef::Xabsl2BooleanInputSymbolRef | ( | Xabsl2InputSource & | input,
|  | Xabsl2ErrorHandler & | errorHandler,
|  | Xabsl2Symbols & | symbols
| ) |

  | Constructor. Creates the element. Parameters:
  input | An input source for the intermediate code. It must be opened and read until A position where the symbol starts.
  errorHandler | A reference to a Xabsl2ErrorHandler instance
  symbols | All available symbols
Definition at line 262 of file Xabsl2BooleanExpression.cpp. References Xabsl2ErrorHandler::error(), Xabsl2Symbols::existsBooleanInputSymbol(), Xabsl2Symbols::getBooleanInputSymbol(), Xabsl2ErrorHandler::message(), Xabsl2InputSource::readString(), symbol, and XABSL2_DEBUG_INIT.

Here is the call graph for this function:

## Member Function Documentation

bool Xabsl2BooleanInputSymbolRef::getValue | ( |  | ) | `[virtual]`

| Evaluates the boolean expression. Implements Xabsl2BooleanExpression. Definition at line 280 of file Xabsl2BooleanExpression.cpp. References Xabsl2InputSymbol< bool >::getValue(), and symbol.

Here is the call graph for this function:

## Member Data Documentation

Xabsl2BooleanInputSymbol* Xabsl2BooleanInputSymbolRef::symbol`[private]`

| The referenced symbol. Definition at line 184 of file Xabsl2BooleanExpression.h. Referenced by getValue(), and Xabsl2BooleanInputSymbolRef().

The documentation for this class was generated from the following files:

- Tools/Xabsl2/Xabsl2Engine/Xabsl2BooleanExpression.h
- Tools/Xabsl2/Xabsl2Engine/Xabsl2BooleanExpression.cpp